kildclient (3.2.1-1build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:55:50 +0000

kildclient (3.2.1-1build2) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:01:25 +0100

kildclient (3.2.1-1build1) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:05:26 +0100

kildclient (3.2.1-1) unstable; urgency=low

  * rules, clean: Handle automatically generated html files in clean
    target. Closes: #1048469

  * clean: Remove src/kildclient.gresource.c in order from it to be
    regenerated from source during build.

  * control: Use debhelper 13, and specify the compatibility level with
    a dependency on debhelper-compat (= 13).

  * control: Set Rules-Requires-Root to no.

  * watch: Change compatibility to version 4.

  * upstream/signing-key.asc: Extra signatures were removed from the
    signing key.

  * NEWS, docs: renamed NEWS.Debian to NEWS; it is no longer necessary
    to list this file in docs.

  * control: Updated policy compliance to 4.6.2, no changes were
    necessary.

 -- Eduardo M Kalinowski <eduardo@kalinowski.com.br>  Wed, 25 Oct 2023 14:32:27 -0300

kildclient (3.2.0-2) unstable; urgency=low

  * control: Changed dependency from 'gvfs' to 'desktop-file-utils'.
    Closes: #887833

  * copyright: https is used for the copyright format.

  * control: Updated policy compliance to 4.1.3; no changes were
    necessary.

 -- Eduardo M Kalinowski <eduardo@kalinowski.com.br>  Sat, 27 Jan 2018 17:18:42 -0200

kildclient (3.2.0-1) unstable; urgency=low

  * New upstream version: 3.2.0.
    - Fix for CVE-2017-17511. New dependency 'gvfs' required in order to
      use GTK+ function for opening URLs. Closes: #885007

  * control: Require libgtk-3-dev >= 3.22.0.

  * control: Removed unnecessary dependency on dh-autoreconf, as debhelper
    enables it by default.

  * control: Use https:// instead of git:// for Vcs-Git.

  * compat, control: Use compatibility level 11.

  * rules: Support nodoc in DEB_BUILD_OPTIONS.

  * control: Updated policy compliance to 4.1.2: the only change was the
    support for nodoc as described above.

 -- Eduardo M Kalinowski <eduardo@kalinowski.com.br>  Mon, 25 Dec 2017 18:56:24 -0200

kildclient (3.1.0-1) unstable; urgency=low

  * New upstream version: 3.1.0.

  * Dropped fix-scroll-to-end patch, this change was incorporated upstream.

  * rules, control: The helpfile (kildclient.hlp) and html manual are now
    regenerated at build time from the XML source. New build-dependencies:
    docbook-xsl-ns, libxml-libxml-perl, xsltproc.

  * control: kildclient-doc is marked as Multi-Arch: foreign since it
    consists only of static documentation.

  * watch: Added support for GPG signature checking.

  * control: Require libgtk-3-dev >= 3.12.0.

  * control: liblocale-gettext-perl is no longer required.

  * kildclient-doc.doc-base: Updated path of index file (it now ends in
    xhtml), and adjusted Files field to include images and css.

  * menu: removed as per TC resolution of #741573.

  * Added upstream metadata.

  * copyright, control: Changed URLs to use https.

  * control: Updated policy compliance to 3.9.8; no changes were
    necessary.

  * control, compat, rules: Use debhelper 10.

 -- Eduardo M Kalinowski <eduardo@kalinowski.com.br>  Sun, 04 Dec 2016 20:46:22 -0200

kildclient (3.0.0-2) unstable; urgency=medium

  * Added work-around to enable scroll-to-end feature to work with
    GTK+ >= 3.13. Closes: #772096

 -- Eduardo M Kalinowski <eduardo@kalinowski.com.br>  Mon, 08 Dec 2014 20:13:37 -0200

kildclient (3.0.0-1) unstable; urgency=low

  * New upstream version: 3.0.0.

  * Acknowledge NMU. Thanks for Andreas Metzler.

  * control: Updated VCS urls.

  * control: Reintroduced Homepage field that was lost and made it point
    to the new URL.

  * copyright: Point to new homepage.

  * control: New dependency: libjson-perl

  * control: glib >= 2.32.0, gtk+3 >= 3.10.0 and gtkspell3 are now
    required. gtk3-perl is suggested instead of gtk2-perl.

  * control: Use debhelper 9 and dh-autoreconf.

  * control: Mentioned HTTP proxies in description.

  * control: Updated Vcs fields to point to new git repository.

  * control: Updated policy compliance to 3.9.5; no changes were
    necessary.

  * rules: Rewritten using dh. Added hardening flags. dh-autoreconf is
    now used instead of autotools-dev. Enabled parallel build.

  * copyright: Change URL of Format: line to point to Version 1.0 of the
    machine-readable format.

  * copyright: util_cursor.h is no longer used, so it has been removed.

 -- Eduardo M Kalinowski <eduardo@kalinowski.com.br>  Sat, 06 Sep 2014 07:47:57 -0300

kildclient (2.11.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against GnuTLS v3. Closes: #753101

 -- Andreas Metzler <ametzler@debian.org>  Fri, 08 Aug 2014 18:55:50 +0200

kildclient (2.11.1-1) unstable; urgency=low

  * New upstream version: 2.11.1:
    - Removed call to deprecated gnutls functions. (Closes: #624039)

  * copyright: Changed to DEP-5 format, added license information for
    share/plugins/channels.pl.

  * Switch to dpkg-source 3.0 (quilt) format.

  * control: mininum required version of gnutls-dev is set to 2.2.0
    because of the function used to fix the aforementioned bug.

  * control: Require glib >= 2.14.0, gtk >= 2.18.0, but libglade is not
    necessary anymore.

  * control: Added ${misc:Depends} dependency to kildclient-doc package.

  * debhelper 8 is now used.

  * rules, control: call dh_autotools-dev_updateconfig on package
    configuration and dh_autotools-dev_restoreconfig on clean. Added
    autotools-dev as a build dependency.

  * rules: Removed dh_desktop call.

  * rules: cleaned some comments.

  * control: short description starts in lowercase.

 -- Eduardo M Kalinowski <eduardo@kalinowski.com.br>  Sat, 28 May 2011 11:10:50 -0300

kildclient (2.9.0-2) unstable; urgency=low

  * Added missing -lz flag to linker, and listed zlib1g-dev as
    Build-Depends. (Closes: #555000, #623726)

  * Updated policy complicance to 3.9.2; no changes were necessary.

 -- Eduardo M Kalinowski <eduardo@kalinowski.com.br>  Fri, 13 May 2011 17:16:13 -0300

kildclient (2.9.0-1) unstable; urgency=low

  * New upstram version: 2.9.0.
    - The way the presence of gnutls is checked has been changed to use
      pkg-config. (Closes: #529905).

  * control: Updated policy compliance to 3.8.1; no changes were necessary
    in the packaging.

  * changelog: Do not use the symlinks /GPL and /LGPL anymore, explicit
    versions are used.

 -- Eduardo M Kalinowski <eduardo@kalinowski.com.br>  Sat, 23 May 2009 18:37:42 -0300

kildclient (2.8.1-1) experimental; urgency=low

  * New upstream version: 2.8.1.

  * HTML manual is now split into separate package kildclient-doc.

  * Changed section to games, and menu section to "Games/Adventure". The
    binary is now installed in /usr/games (Policy, section 11.11) by the
    rules file.

 -- Eduardo M Kalinowski <eduardo@kalinowski.com.br>  Thu, 29 Jan 2009 16:37:21 -0200

kildclient (2.8.0-1) experimental; urgency=low

  * New upstream version: 2.8.0.

  * control: Updated policy compliance to 3.8.0; no changes were necessary
    in the packaging.

  * control: Small changes in description to remove an occurrence of 'the
    the' and advertise proxy support.

  * control: Require perl version 5.10.0

  * control: Changed Vcs tags to point to the new SVN repository,
    specifically at the files for debian packaging.

  * control: Removed duplicate fields 'priority' and 'section' in binary
    package section.

  * Requires debhelper 7. Changed dh_clean -k to dh_prep for conformance.

 -- Eduardo M Kalinowski <eduardo@kalinowski.com.br>  Sun, 11 Jan 2009 17:49:08 -0200

kildclient (2.7.0-1) unstable; urgency=low

  * New upstream version: 2.7.0.

  * Require debhelper 6.

  * control: Changed 'section' to net because if it is 'games' then the
    binary must be in /usr/games.

  * kildclient.doc-base: Corrected section to Network/Communication.

 -- Eduardo M Kalinowski <ekalin@gmail.com>  Sat, 03 May 2008 15:41:23 -0300

kildclient (2.6.0-2) unstable; urgency=low

  * copyright: Make it clear that KildClient is distributed under the GNU
    GPL version 2 or later. (Closes: #456439).

  * control: Updated policy compliance to 3.7.3; no changes were necessary
    in the packaging.

 -- Eduardo M Kalinowski <ekalin@gmail.com>  Mon, 17 Dec 2007 11:26:58 -0200

kildclient (2.6.0-1) unstable; urgency=low

  * New upstream version: 2.6.0.

  * control: Version 2.10.X of glib/gtk+ is now required.

  * control: Removed alternative dependency on libgnutls11-dev; that
    package does not exist anymore.

  * control: Added Vcs fields and changed Homepage to be a real field.

  * rules: Changed "-$(MAKE) distclean" to
    "[ ! -f Makefile ] || $(MAKE) distclean"

  * menu: Changed "Apps/Net" to "Applications/Network/Communications" to
    comply to the new menu policy.

  * copyright: Added notice specifying that simocombobox.{c,h} and
    util_cursor.h are licensed under the LGPL.

  * Added watch file.

 -- Eduardo M Kalinowski <ekalin@gmail.com>  Thu, 29 Nov 2007 12:02:29 -0200

kildclient (2.5.1-1) unstable; urgency=low

  * New upstream release.

  * kildclient.doc-base: Removed pdf manual.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Mon, 21 May 2007 12:35:54 -0300

kildclient (2.5.0-1) unstable; urgency=low

  * New upstream release, its bringing into Debian closes: #303635.

  * Updated policy version to 3.7.2.

  * KildClient now requires GTK+ version 2.8.X.

  * Added an icon to the menu file.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Sat, 12 Aug 2006 17:05:42 -0300

kildclient (2.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Sun, 26 Mar 2006 09:06:44 -0300

kildclient (2.4.0-1) unstable; urgency=low

  * New upstream release.

  * Added libgtkspell-dev to the build-depends.

  * Changed debhelper compatibility version to 5, and also the needed
    version in Build-Depends.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Wed,  8 Feb 2006 21:49:38 -0200

kildclient (2.3.0-1) unstable; urgency=low

  * New upstream release.

  * Updated required versions of gtk+ and libglade.

  * Added build-depends entry for libgnutls.

  * Added dh_desktop call to the rules file.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Wed, 21 Dec 2005 11:01:48 -0200

kildclient (2.2.2-1) unstable; urgency=low

  * New upstream release.

  * Removed intltool build dependency and specified that gettext version
    >= 0.14.5 is necessary to build.

  * Added a menu file.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Sat,  1 Oct 2005 15:41:47 -0300

kildclient (2.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Tue, 20 Sep 2005 09:39:39 -0300

kildclient (2.2.0-1) unstable; urgency=low

  * New upstream release.

  * Changed the description to include some new features recently added.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Mon, 19 Sep 2005 10:18:06 -0300

kildclient (2.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Thu, 25 Aug 2005 18:07:25 -0300

kildclient (2.0.0-1) unstable; urgency=low

  * New upstream release.

  * Removed libvte dependency, since it is not used anymore.

  * Added line in rules to remove the newly included COPYING file from
    the package.

  * Removed unused lines from rules files.

  * Updated standards-version to 3.6.2.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Wed, 27 Jul 2005 17:04:58 -0300

kildclient (1.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Sun,  3 Jul 2005 17:14:35 -0300

kildclient (1.3.1-1) unstable; urgency=low

  * New upstream release.

  * Added libglib2.0-dev >= 2.6.0 as a build requirement.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Tue, 31 May 2005 10:36:18 -0300

kildclient (1.3.0-1) unstable; urgency=low

  * New upstream release.

  * Added liblocale-gettext-perl to Depends.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Fri, 27 May 2005 16:57:55 -0300

kildclient (1.2.0-2) unstable; urgency=low

  * Corrected doc-base file for the pdf manual.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Wed,  4 May 2005 11:20:00 -0300

kildclient (1.2.0-1) unstable; urgency=low

  * New upstream release.

  * Mentioned MCCP in the description.

  * Added intltool to Build-Depends

  * Added libgtk2-perl to Suggests

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Wed, 20 Apr 2005 16:35:28 -0300

kildclient (1.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Fri, 25 Mar 2005 09:18:12 -0300

kildclient (1.1.1-2) unstable; urgency=low

  * The manual page and other files are now compressed.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Sun, 13 Mar 2005 09:23:18 -0300

kildclient (1.1.1-1) unstable; urgency=low

  * Updated the package to version 1.1.1 of the program

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Fri, 11 Mar 2005 10:24:13 -0300

kildclient (1.1.0-2) unstable; urgency=low

  * Added the manual page to the package.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Mon, 28 Feb 2005 16:16:09 -0300

kildclient (1.1.0-1) unstable; urgency=low

  * Initial Release.

 -- Eduardo M Kalinowski <ekalin@bol.com.br>  Mon, 21 Feb 2005 18:41:50 -0300
